List sanitized services for the authenticated owner's servers
curl --request GET \
--url https://api.kombify.io/v1/techstack/api/v1/inventory/services \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/inventory/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kombify.io/v1/techstack/api/v1/inventory/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/inventory/services",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/inventory/services"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombify.io/v1/techstack/api/v1/inventory/services")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/inventory/services")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"observed_at": "2023-11-07T05:31:56Z",
"freshness": {
"state": "fresh",
"stale_after_seconds": 1,
"age_seconds": 1,
"reason_code": "<string>"
},
"inventory_revision": 1,
"collection_cursor": "<string>",
"page_size": 100,
"services": [
{
"id": "<string>",
"stack_id": "<string>",
"server_id": "<string>",
"key": "<string>",
"name": "<string>",
"desired_state": "<string>",
"observed_state": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"freshness": {
"state": "fresh",
"stale_after_seconds": 1,
"age_seconds": 1,
"reason_code": "<string>"
},
"inventory_revision": 1,
"health": {
"state": "<string>",
"reason_code": "<string>",
"changed_at": "2023-11-07T05:31:56Z",
"observed_at": "2023-11-07T05:31:56Z"
},
"stackkit": {
"name": "<string>",
"version": "<string>",
"variant": "<string>"
},
"links": [
{
"url": "<string>",
"mode": "direct"
}
],
"allowed_actions": [
"start"
],
"source": "<string>",
"management_state": "managed",
"evidence_ref": "<string>"
}
],
"next_cursor": "<string>"
},
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}Inventory
List sanitized services for the authenticated owner's servers
GET
/
api
/
v1
/
inventory
/
services
List sanitized services for the authenticated owner's servers
curl --request GET \
--url https://api.kombify.io/v1/techstack/api/v1/inventory/services \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/inventory/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kombify.io/v1/techstack/api/v1/inventory/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/inventory/services",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/inventory/services"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombify.io/v1/techstack/api/v1/inventory/services")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/inventory/services")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"observed_at": "2023-11-07T05:31:56Z",
"freshness": {
"state": "fresh",
"stale_after_seconds": 1,
"age_seconds": 1,
"reason_code": "<string>"
},
"inventory_revision": 1,
"collection_cursor": "<string>",
"page_size": 100,
"services": [
{
"id": "<string>",
"stack_id": "<string>",
"server_id": "<string>",
"key": "<string>",
"name": "<string>",
"desired_state": "<string>",
"observed_state": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"freshness": {
"state": "fresh",
"stale_after_seconds": 1,
"age_seconds": 1,
"reason_code": "<string>"
},
"inventory_revision": 1,
"health": {
"state": "<string>",
"reason_code": "<string>",
"changed_at": "2023-11-07T05:31:56Z",
"observed_at": "2023-11-07T05:31:56Z"
},
"stackkit": {
"name": "<string>",
"version": "<string>",
"variant": "<string>"
},
"links": [
{
"url": "<string>",
"mode": "direct"
}
],
"allowed_actions": [
"start"
],
"source": "<string>",
"management_state": "managed",
"evidence_ref": "<string>"
}
],
"next_cursor": "<string>"
},
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
OIDC/JWKS bearer token. Self-hosted defaults to Pocket ID; SaaS uses Auth0 through the edge. PocketBase JWT is legacy migration compatibility only.
Query Parameters
Optional exact owned server filter; a foreign server is returned as not found.
Minimum string length:
1Required range:
1 <= x <= 200Opaque cursor bound to the authenticated scope and exact server_id filter.
Maximum string length:
2048